/api/site/redirect
get
Get site redirect
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
site_redirect_idintegerRequired
Responses
200
success
successbooleanOptionalExample:
trueget/api/site/redirect
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array();
$request = array(
'method' => 'GET',
'path' => 'site/redirect',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true
}post
Add new site redirect
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
new_programidintegerOptionalDefault:
0new_touridintegerOptionalDefault:
0new_urlstringOptional
percentintegerRequired
no_urlstringOptionalDefault:
0trackstringOptionalDefault:
0disable_original_hitstringOptionalDefault:
0maintain_query_stringstringOptionalDefault:
0disable_join_deep_linkstringOptionalDefault:
0disable_url_deep_linkstringOptionalDefault:
0permanent_redirectstringOptionalDefault:
0disable_redirect_trackstringOptionalDefault:
0disable_redirect_signupstringOptionalDefault:
0disable_redirect_trackjoinstringOptionalDefault:
0enabledstringOptionalDefault:
0Responses
200
success
successbooleanOptionalExample:
truepost/api/site/redirect
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array();
$request = array(
'method' => 'POST',
'path' => 'site/redirect',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true
}delete
Delete redirect
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
site_redirect_idintegerRequired
Responses
200
success
successbooleanOptionalExample:
truedelete/api/site/redirect
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array();
$request = array(
'method' => 'DELETE',
'path' => 'site/redirect',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true
}patch
Edit site redirect
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
site_redirect_idintegerRequired
new_programidintegerOptional
new_touridintegerOptional
new_urlstringOptional
percentintegerOptional
no_urlstringOptional
trackstringOptional
disable_original_hitstringOptional
maintain_query_stringstringOptional
disable_join_deep_linkstringOptionalDefault:
0disable_url_deep_linkstringOptionalDefault:
0permanent_redirectstringOptionalDefault:
0disable_redirect_trackstringOptionalDefault:
0disable_redirect_signupstringOptionalDefault:
0disable_redirect_trackjoinstringOptionalDefault:
0enabledstringOptional
Responses
200
success
successbooleanOptionalExample:
truepatch/api/site/redirect
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array();
$request = array(
'method' => 'PATCH',
'path' => 'site/redirect',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true
}Last updated
Was this helpful?